Skip to main content
PATCH
/
v5
/
evaluations
/
{evaluation_id}
/
tasks
/
{alias}
Update Test Criteria Configuration
curl --request PATCH \
  --url https://api.egp.scale.com/v5/evaluations/{evaluation_id}/tasks/{alias} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "configuration": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": {
    "id": "<string>",
    "type": "user",
    "object": "identity"
  },
  "tags": [
    "<string>"
  ],
  "datasets": [
    {
      "id": "<string>",
      "created_by": {
        "id": "<string>",
        "type": "user",
        "object": "identity"
      },
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ],
      "current_version_num": 123,
      "object": "dataset",
      "description": "<string>",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "status": "failed",
  "object": "evaluation",
  "description": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "status_reason": "<string>",
  "progress": {
    "workflows": {
      "total": 123,
      "completed": 123,
      "failed": 123,
      "pending": 123
    },
    "items": {
      "total": 123,
      "successful": 123,
      "failed": 123,
      "pending": 123,
      "failed_items": []
    }
  },
  "tasks": [
    {
      "configuration": {
        "model": "<string>",
        "messages": [
          {}
        ],
        "top_k": 123,
        "frequency_penalty": 123,
        "function_call": {},
        "functions": [
          {}
        ],
        "logit_bias": {},
        "logprobs": true,
        "max_completion_tokens": 123,
        "max_tokens": 123,
        "metadata": {},
        "modalities": [
          "<string>"
        ],
        "n": 123,
        "parallel_tool_calls": true,
        "prediction": {},
        "presence_penalty": 123,
        "reasoning_effort": "<string>",
        "response_format": {},
        "seed": 123,
        "stop": "<string>",
        "store": true,
        "temperature": 123,
        "tool_choice": "<string>",
        "tools": [
          {}
        ],
        "top_logprobs": 123,
        "top_p": 123,
        "audio": {}
      },
      "task_type": "chat_completion",
      "alias": "chat_completion"
    }
  ],
  "metadata": {},
  "error_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

evaluation_id
string
required
alias
string
required

Body

application/json
configuration
Configuration · object
required

Full replacement for the test criteria's configuration JSON. Only allowed when no contributor annotation tasks for this evaluation have been claimed or completed.

Response

Successful Response

id
string
required
name
string
required
created_at
string<date-time>
required
created_by
Identity · object
required

The identity that created the entity.

tags
string[]
required

The tags associated with the entity

datasets
Datasets · object[]
required
status
enum<string>
required
Available options:
failed,
completed,
running
object
string
default:evaluation
Allowed value: "evaluation"
description
string
archived_at
string<date-time>
status_reason
string

Reason for evaluation status

progress
EvaluationTasksProgressSchema · object

Progress of the evaluation's underlying async job

tasks
(ChatCompletionEvaluationTask · object | GenericInferenceEvaluationTask · object | ApplicationVariantV1EvaluationTask · object | AgentexOutputEvaluationTask · object | MetricEvaluationTask · object | AutoEvaluationQuestionTask · object | AutoEvaluationGuidedDecodingEvaluationTask · object | AutoEvaluationAgentEvaluationTask · object | ContributorEvaluationQuestionTask · object | CustomFunctionEvaluationTask · object)[]

Tasks executed during evaluation. Populated with optional task view.

metadata
Metadata · object

Metadata key-value pairs for the evaluation

error_count
integer

Number of task errors across all items in this evaluation.